local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____gridEntitiesSpecific = require("functions.gridEntitiesSpecific")
local getRocks = ____gridEntitiesSpecific.getRocks
local ____shouldFire = require("shouldFire")
local shouldFireRock = ____shouldFire.shouldFireRock
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostRockRender = __TS__Class()
local PostRockRender = ____exports.PostRockRender
PostRockRender.name = "PostRockRender"
__TS__ClassExtends(PostRockRender, CustomCallback)
function PostRockRender.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireRock
    self.postRender = function()
        for ____, rock in ipairs(getRocks(nil)) do
            self:fire(rock)
        end
    end
    self.callbacksUsed = {{ModCallback.POST_RENDER, self.postRender}}
end
return ____exports
